## libapache2-mod-auth-pubtkt 0.10

=== src/Makefile ===

include ../Makedefs 

MOD = mod_auth_pubtkt

all: $(TARGET)

$(TARGET): mod_auth_pubtkt.c ap_compat.h
	$(APXS) -c -Wc,"-Wall -ansi $(CFLAGS)" -Wl,"$(LDFLAGS)" -l crypto $(MOD).c

install: $(TARGET)
	$(APXS) -i $(TARGET)

clean:
	-rm -f $(MOD).o $(MOD).so $(MOD).la $(MOD).lo $(MOD).slo
	-rm -rf .libs

## libapache2-mod-auth-pubtkt 0.7

=== debian/changelog ===
libapache2-mod-auth-pubtkt (0.7-1) unstable; urgency=low

  * New upstream release. 
  * Remove add_install.html.patch, included in upstream release.
  * Add watch file.
  * Add doc-base file. 
  * Change license of packaging to LGPL-2.1+ and remove lintian override

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 09 Jun 2012 15:30:50 +0200

libapache2-mod-auth-pubtkt (0.6b+git20120528-1) unstable; urgency=low

  * Initial release.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 29 May 2012 00:10:58 +0200

=== debian/control ===
Source: libapache2-mod-auth-pubtkt
Section: httpd
Priority: extra
Maintainer: Ivo De Decker <ivo.dedecker@ugent.be>
Build-Depends: debhelper (>= 9), apache2-prefork-dev (>= 2.2.3) | apache2-threaded-dev (>= 2.2.3)
Standards-Version: 3.9.3
Homepage: https://neon1.net/mod_auth_pubtkt/

Package: libapache2-mod-auth-pubtkt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
Conflicts: libapache2-mod-auth-tkt
Description: key-based single-sign-on authentication module for Apache
 mod_auth_pubtkt is an Apache module that authenticates a user based on a
 cookie with a ticket that has been issued by a central login server and
 digitally signed using either RSA or DSA. This means that only the trusted
 login server has the private key required to generate tickets, while web
 servers only need the corresponding public key to verify them.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --apxs=/usr/bin/apxs2 --apachever=2.2

override_dh_auto_clean:
	touch Makedefs
	cd src && make clean
	
override_dh_installexamples:
	chmod -R -x php-login
	rm -f php-login/private/*pem
	rm -f perl-login/*pem
	dh_installexamples

=== debian/watch ===
version=3
https://github.com/manuelkasper/mod_auth_pubtkt/tags .*/tarball/v(\d[\d\.]+)

## libapache2-mod-auth-pubtkt 0.8

=== debian/changelog ===
libapache2-mod-auth-pubtkt (0.8-4) unstable; urgency=medium

  * Add build-dep on libssl-dev. Closes: #765060
  * Update standards version to 3.9.6 (no changes).

 -- Ivo De Decker <ivodd@debian.org>  Mon, 13 Oct 2014 21:38:49 +0200

libapache2-mod-auth-pubtkt (0.8-3) unstable; urgency=low

  * Upload to unstable for apache 2.4 transition. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 30 May 2013 19:58:23 +0200

libapache2-mod-auth-pubtkt (0.8-2) experimental; urgency=low

  * Update packaging for apache 2.4. Closes: #707065 
  * Update standards version to 3.9.4 (no changes). 
  * Update watch file, thanks to Bart Martens. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 18 May 2013 21:32:11 +0200

libapache2-mod-auth-pubtkt (0.8-1) experimental; urgency=low

  * New upstream release. 
  * Fix watch file

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 11 Nov 2012 14:15:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libapache2-mod-auth-pubtkt
 Section: httpd
 Priority: extra
-Maintainer: Ivo De Decker <ivo.dedecker@ugent.be>
-Build-Depends: debhelper (>= 9), apache2-prefork-dev (>= 2.2.3) | apache2-threaded-dev (>= 2.2.3)
-Standards-Version: 3.9.3
+Maintainer: Ivo De Decker <ivodd@debian.org>
+Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl-dev
+Standards-Version: 3.9.6
 Homepage: https://neon1.net/mod_auth_pubtkt/
 
 Package: libapache2-mod-auth-pubtkt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, apache2.2-common
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libapache2-mod-auth-tkt
 Description: key-based single-sign-on authentication module for Apache
  mod_auth_pubtkt is an Apache module that authenticates a user based on a

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with apache2
 
 override_dh_auto_configure:
-	./configure --apxs=/usr/bin/apxs2 --apachever=2.2
+	./configure --apxs=/usr/bin/apxs2 --apachever=2.4
 
 override_dh_auto_clean:
 	touch Makedefs

## libapache2-mod-auth-pubtkt 0.10

=== debian/changelog ===
libapache2-mod-auth-pubtkt (0.10-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on libssl1.0-dev.
  * Disable openssl_1.1.diff for now.

 -- Ivo De Decker <ivodd@debian.org>  Sun, 22 Jan 2017 22:15:38 +0100

libapache2-mod-auth-pubtkt (0.9-1) unstable; urgency=medium

  * New upstream release. 
  * Update standards version to 3.9.8 (no changes).
  * Add openssl_1.1.diff to support openssl 1.1. Closes: #828381

 -- Ivo De Decker <ivodd@debian.org>  Sat, 27 Aug 2016 20:28:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: extra
 Maintainer: Ivo De Decker <ivodd@debian.org>
-Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl1.0-dev
+Standards-Version: 3.9.8
 Homepage: https://neon1.net/mod_auth_pubtkt/
 
 Package: libapache2-mod-auth-pubtkt

## libapache2-mod-auth-pubtkt 0.11

=== Makefile ===
TARGETS = all install clean

$(TARGETS): Makedefs
	cd src && $(MAKE) $@

Makedefs:
	./configure

realclean:
	cd src && make clean
	test -f Makedefs && rm -f Makedefs

=== debian/changelog ===
libapache2-mod-auth-pubtkt (0.11-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:22 +0000

libapache2-mod-auth-pubtkt (0.11-1) unstable; urgency=medium

  * New upstream release.
    Fixes selection of digest algorithm when using TKTAuthDigest.
    Closes: #867572
  * Switch to openssl 1.1 and re-enable openssl_1.1.diff. Closes: #858989
  * Update standards version to 4.1.0.
    Set priority to optional.

 -- Ivo De Decker <ivodd@debian.org>  Sun, 27 Aug 2017 23:22:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libapache2-mod-auth-pubtkt
 Section: httpd
-Priority: extra
-Maintainer: Ivo De Decker <ivodd@debian.org>
-Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl1.0-dev
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ivo De Decker <ivodd@debian.org>
+Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl-dev
+Standards-Version: 4.1.0
 Homepage: https://neon1.net/mod_auth_pubtkt/
 
 Package: libapache2-mod-auth-pubtkt

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_auto_clean:
 	touch Makedefs
 	cd src && make clean
+	rm -f Makedefs
 	
 override_dh_installexamples:
 	chmod -R -x php-login

## libapache2-mod-auth-pubtkt 0.13

=== debian/changelog ===
libapache2-mod-auth-pubtkt (0.13-1) unstable; urgency=medium

  * New upstream release.
  * Remove openssl_1.1.diff, upstream supports openssl 1.1.
  * Update location for docs (now README.md instead of docs/).
  * Switch to debhelper-compat 12.
  * Set Rules-Requires-Root: no.
  * Fix chmod call for php-login.
  * Add perl-path.diff to fix perl path in examples (policy 10.4).
  * Update standards version to 4.3.0.
  * Use secure copyright format uri.
  * Add patch badip_url_empty.diff.
  * Add patch perl-warnings.diff.
  * Add autopkgtest.

 -- Ivo De Decker <ivodd@debian.org>  Tue, 22 Jan 2019 21:21:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libapache2-mod-auth-pubtkt
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ivo De Decker <ivodd@debian.org>
-Build-Depends: debhelper (>= 9), dh-apache2, apache2-dev, libssl-dev
-Standards-Version: 4.1.0
+Maintainer: Ivo De Decker <ivodd@debian.org>
+Build-Depends: debhelper-compat (= 12), dh-apache2, apache2-dev, libssl-dev
+Standards-Version: 4.3.0
 Homepage: https://neon1.net/mod_auth_pubtkt/
+Rules-Requires-Root: no
 
 Package: libapache2-mod-auth-pubtkt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	rm -f Makedefs
 	
 override_dh_installexamples:
-	chmod -R -x php-login
+	find php-login -type f | xargs chmod -x
 	rm -f php-login/private/*pem
 	rm -f perl-login/*pem
 	dh_installexamples

=== debian/tests/control ===
Tests: httpresponse
Depends: @, apache2, openssl, libwww-curl-perl, libipc-run3-perl, libany-uri-escape-perl
Restrictions: breaks-testbed allow-stderr needs-root

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/manuelkasper/mod_auth_pubtkt/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
